de.esprit.netsuite.client.abo

## Class ABOManager

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<ClientContext>
      - - de.esprit.netsuite.client.abo.ABOManager

- All Implemented Interfaces:
    ApplicationObject<ClientContext>, CloseableComponent, SimpleLogSupport, Dumpable, ClientObject<ClientContext>, java.lang.AutoCloseable

      public final class ABOManager
      extends AbstractClientObject<ClientContext>
      implements CloseableComponent

  This class encapsulates the functionality for managing ABOs.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOManager(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends AliveBusinessObject> T` | `aboCreate(java.lang.Class<T> aboType)` Creates an ABOs on server side.
    `<T extends AliveBusinessObject> T` | `aboFetch(boolean withLock, java.lang.Class<T> aboType, java.lang.Object... pkValues)` Fetches an ABOs on server side.
    `<T extends AbstractPersistentABO> T[]` | `aboFind(boolean withLock, java.lang.Class<T> aboType, SqlCondition condition)` Reads persistent ABOs from the database filtered by the given `SqlCondition`.
    `void` | `close()`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ABOManager

          public ABOManager(ClientContext clientCtx)

  - ### Method Detail

    - #### aboCreate

          public <T extends AliveBusinessObject> T aboCreate(java.lang.Class<T> aboType)
                                                  throws java.lang.Exception

      Creates an ABOs on server side. In case of persistent ABOs the according records are inserted into the database. The created ABO is returned in online state listening for update events.
      Throws:
        `java.lang.Exception`

    - #### aboFetch

          public <T extends AliveBusinessObject> T aboFetch(boolean withLock,
                                                   java.lang.Class<T> aboType,
                                                   java.lang.Object... pkValues)
                                                 throws java.lang.Exception

      Fetches an ABOs on server side. If the ABO does not exist yet in the server cache it will be instantiated. A persistent ABOs will be read from the database based on its `PrimaryKey`. The ABO is returned in online state listening for update events.
      Throws:
        `java.lang.Exception`

    - #### aboFind

          public <T extends AbstractPersistentABO> T[] aboFind(boolean withLock,
                                                      java.lang.Class<T> aboType,
                                                      SqlCondition condition)
                                                    throws java.lang.Exception

      Reads persistent ABOs from the database filtered by the given `SqlCondition`. All ABOs found are returned in online state listening for update events.
      Throws:
        `java.lang.Exception`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.